SDL_SetRenderTarget(3)

NAME
SDL_SetRenderTarget - Set a texture as the current rendering target.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetRenderTarget(SDL_Renderer *renderer, SDL_Texture *texture);

DESCRIPTION
The default render target is the window for which the renderer was created. To stop rendering to a texture and render to the window again, call this function with a NULL texture .

Viewport, cliprect, scale, and logical presentation are unique to each render target. Get and set functions for these states apply to the current render target set by this function, and those states persist on each target when the current render target changes.

FUNCTION PARAMETERS

renderer
    the rendering context.

texture
    the targeted texture, which must be created with the SDL_TEXTUREACCESS_TARGET flag, or NULL to render to the window instead of a texture.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetRenderTarget(3)